summaryrefslogtreecommitdiffstats
path: root/packaging/makeself/uname2platform.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2022-06-09 04:52:47 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2022-06-09 04:52:57 +0000
commit00151562145df50cc65e9902d52d5fa77f89fe50 (patch)
tree2737716802f6725a5074d606ec8fe5422c58a83c /packaging/makeself/uname2platform.sh
parentReleasing debian version 1.34.1-1. (diff)
downloadnetdata-00151562145df50cc65e9902d52d5fa77f89fe50.tar.xz
netdata-00151562145df50cc65e9902d52d5fa77f89fe50.zip
Merging upstream version 1.35.0.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'packaging/makeself/uname2platform.sh')
-rwxr-xr-xpackaging/makeself/uname2platform.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/packaging/makeself/uname2platform.sh b/packaging/makeself/uname2platform.sh
new file mode 100755
index 000000000..7eab706ec
--- /dev/null
+++ b/packaging/makeself/uname2platform.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+set -e
+
+BUILDARCH="${1}"
+
+case "${BUILDARCH}" in
+ x86_64) echo "linux/amd64" ;;
+ armv7l) echo "linux/arm/v7" ;;
+ aarch64) echo "linux/arm64/v8" ;;
+ ppc64le) echo "linux/ppc64le" ;;
+ *)
+ echo "Unknown target architecture '${BUILDARCH}'." >&2
+ exit 1
+ ;;
+esac